# -*- coding: utf-8 -*-

from django.shortcuts import render_to_response
from django.template import Context, RequestContext
from django.contrib.auth.decorators import login_required

from etablissements.models import Etablissement, Formation

def etablissement_list(request):
    etablissements = Etablissement.objects.all()
    c = {
        'etablissements': etablissements,
    }
    return render_to_response("etablissements/etablissement_list.html", Context(c), context_instance = RequestContext(request))

def etablissement_detail(request, id):
    etablissement = Etablissement.objects.get(id=id)
    c = {
        'etablissement': etablissement,
    }
    return render_to_response("etablissements/etablissement_detail.html", Context(c), context_instance = RequestContext(request))

def formation_list(request):
    formations = Formation.objects.all()
    c = {
        'formations': formations,
    }
    return render_to_response("etablissements/formation_list.html", Context(c), context_instance = RequestContext(request))

@login_required
def formation_detail(request, id):
    formation = Formation.objects.get(id=id)
    c = {
        'formation': formation,
    }
    return render_to_response("etablissements/formation_detail.html", Context(c), context_instance = RequestContext(request))
